package com.education.model.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.education.common.annotation.Unique;

/**
 * 科目信息表
 */
@TableName("subject_info")
public class SubjectInfo extends BaseEntity<SubjectInfo> {

	@Unique
	private String name;
	@TableField("school_type")
	private Integer schoolType;

	@Unique("grade_info_id")
	@TableField("grade_info_id")
	private Integer gradeInfoId;


	@TableField("major_name")
	private String majorName;

	@TableField("major_type")
	private Integer majorType;

	@TableField("period_name")
	private String periodName;

	@TableField("period_type")
	private Integer periodType;



	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getSchoolType() {
		return schoolType;
	}

	public void setSchoolType(Integer schoolType) {
		this.schoolType = schoolType;
	}

	public Integer getGradeInfoId() {
		return gradeInfoId;
	}

	public void setGradeInfoId(Integer gradeInfoId) {
		this.gradeInfoId = gradeInfoId;
	}

	public String getMajorName() {
		return majorName;
	}

	public void setMajorName(String majorName) {
		this.majorName = majorName;
	}

	public Integer getMajorType() {
		return majorType;
	}

	public void setMajorType(Integer majorType) {
		this.majorType = majorType;
	}

	public String getPeriodName() {
		return periodName;
	}

	public void setPeriodName(String periodName) {
		this.periodName = periodName;
	}

	public Integer getPeriodType() {
		return periodType;
	}

	public void setPeriodType(Integer periodType) {
		this.periodType = periodType;
	}

}